KnownFolders (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: KnownFolders

Package com.sun.jna.platform.win32

# Class KnownFolders

java.lang.Object
com.sun.jna.platform.win32.KnownFolders

public class KnownFolders extends Object
Ported from KnownFolders.h. Microsoft Windows SDK 7.0A.

Author:
  Martin Steiger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Guid.GUID`
  `FOLDERID_AddNewPrograms`
  `static final Guid.GUID`
  `FOLDERID_AdminTools`
  `static final Guid.GUID`
  `FOLDERID_AppUpdates`
  `static final Guid.GUID`
  `FOLDERID_CDBurning`
  `static final Guid.GUID`
  `FOLDERID_ChangeRemovePrograms`
  `static final Guid.GUID`
  `FOLDERID_CommonAdminTools`
  `static final Guid.GUID`
  `FOLDERID_CommonOEMLinks`
  `static final Guid.GUID`
  `FOLDERID_CommonPrograms`
  `static final Guid.GUID`
  `FOLDERID_CommonStartMenu`
  `static final Guid.GUID`
  `FOLDERID_CommonStartup`
  `static final Guid.GUID`
  `FOLDERID_CommonTemplates`
  `static final Guid.GUID`
  `FOLDERID_ComputerFolder`
  `static final Guid.GUID`
  `FOLDERID_ConflictFolder`
  `static final Guid.GUID`
  `FOLDERID_ConnectionsFolder`
  `static final Guid.GUID`
  `FOLDERID_Contacts`
  `static final Guid.GUID`
  `FOLDERID_ControlPanelFolder`
  `static final Guid.GUID`
  `FOLDERID_Cookies`
  `static final Guid.GUID`
  `FOLDERID_Desktop`
  display name: "Desktop" default path: "C:\Users\<UserName>\Desktop" legacy default path: "C:\Documents and Settings\<userName>\Desktop" legacy CSIDL value: CSIDL_DESKTOP
  `static final Guid.GUID`
  `FOLDERID_DeviceMetadataStore`
  `static final Guid.GUID`
  `FOLDERID_Documents`
  `static final Guid.GUID`
  `FOLDERID_DocumentsLibrary`
  `static final Guid.GUID`
  `FOLDERID_Downloads`
  `static final Guid.GUID`
  `FOLDERID_Favorites`
  `static final Guid.GUID`
  `FOLDERID_Fonts`
  `static final Guid.GUID`
  `FOLDERID_Games`
  `static final Guid.GUID`
  `FOLDERID_GameTasks`
  `static final Guid.GUID`
  `FOLDERID_History`
  `static final Guid.GUID`
  `FOLDERID_HomeGroup`
  `static final Guid.GUID`
  `FOLDERID_ImplicitAppShortcuts`
  `static final Guid.GUID`
  `FOLDERID_InternetCache`
  `static final Guid.GUID`
  `FOLDERID_InternetFolder`
  `static final Guid.GUID`
  `FOLDERID_Libraries`
  `static final Guid.GUID`
  `FOLDERID_Links`
  `static final Guid.GUID`
  `FOLDERID_LocalAppData`
  `static final Guid.GUID`
  `FOLDERID_LocalAppDataLow`
  `static final Guid.GUID`
  `FOLDERID_LocalizedResourcesDir`
  `static final Guid.GUID`
  `FOLDERID_Music`
  `static final Guid.GUID`
  `FOLDERID_MusicLibrary`
  `static final Guid.GUID`
  `FOLDERID_NetHood`
  `static final Guid.GUID`
  `FOLDERID_NetworkFolder`
  display name: "Network" legacy display name: "My Network Places" default path: legacy CSIDL value: CSIDL_NETWORK
  `static final Guid.GUID`
  `FOLDERID_OriginalImages`
  `static final Guid.GUID`
  `FOLDERID_PhotoAlbums`
  `static final Guid.GUID`
  `FOLDERID_Pictures`
  `static final Guid.GUID`
  `FOLDERID_PicturesLibrary`
  `static final Guid.GUID`
  `FOLDERID_Playlists`
  `static final Guid.GUID`
  `FOLDERID_PrintersFolder`
  `static final Guid.GUID`
  `FOLDERID_PrintHood`
  `static final Guid.GUID`
  `FOLDERID_Profile`
  `static final Guid.GUID`
  `FOLDERID_ProgramData`
  `static final Guid.GUID`
  `FOLDERID_ProgramFiles`
  `static final Guid.GUID`
  `FOLDERID_ProgramFilesCommon`
  `static final Guid.GUID`
  `FOLDERID_ProgramFilesCommonX64`
  `static final Guid.GUID`
  `FOLDERID_ProgramFilesCommonX86`
  `static final Guid.GUID`
  `FOLDERID_ProgramFilesX64`
  `static final Guid.GUID`
  `FOLDERID_ProgramFilesX86`
  `static final Guid.GUID`
  `FOLDERID_Programs`
  `static final Guid.GUID`
  `FOLDERID_Public`
  `static final Guid.GUID`
  `FOLDERID_PublicDesktop`
  `static final Guid.GUID`
  `FOLDERID_PublicDocuments`
  `static final Guid.GUID`
  `FOLDERID_PublicDownloads`
  `static final Guid.GUID`
  `FOLDERID_PublicGameTasks`
  `static final Guid.GUID`
  `FOLDERID_PublicLibraries`
  `static final Guid.GUID`
  `FOLDERID_PublicMusic`
  `static final Guid.GUID`
  `FOLDERID_PublicPictures`
  `static final Guid.GUID`
  `FOLDERID_PublicRingtones`
  `static final Guid.GUID`
  `FOLDERID_PublicVideos`
  `static final Guid.GUID`
  `FOLDERID_QuickLaunch`
  `static final Guid.GUID`
  `FOLDERID_Recent`
  `static final Guid.GUID`
  `FOLDERID_RecordedTVLibrary`
  `static final Guid.GUID`
  `FOLDERID_RecycleBinFolder`
  `static final Guid.GUID`
  `FOLDERID_ResourceDir`
  `static final Guid.GUID`
  `FOLDERID_Ringtones`
  `static final Guid.GUID`
  `FOLDERID_RoamingAppData`
  `static final Guid.GUID`
  `FOLDERID_SampleMusic`
  `static final Guid.GUID`
  `FOLDERID_SamplePictures`
  `static final Guid.GUID`
  `FOLDERID_SamplePlaylists`
  `static final Guid.GUID`
  `FOLDERID_SampleVideos`
  `static final Guid.GUID`
  `FOLDERID_SavedGames`
  `static final Guid.GUID`
  `FOLDERID_SavedSearches`
  `static final Guid.GUID`
  `FOLDERID_SEARCH_CSC`
  `static final Guid.GUID`
  `FOLDERID_SEARCH_MAPI`
  `static final Guid.GUID`
  `FOLDERID_SearchHome`
  `static final Guid.GUID`
  `FOLDERID_SendTo`
  `static final Guid.GUID`
  `FOLDERID_SidebarDefaultParts`
  `static final Guid.GUID`
  `FOLDERID_SidebarParts`
  `static final Guid.GUID`
  `FOLDERID_StartMenu`
  `static final Guid.GUID`
  `FOLDERID_Startup`
  `static final Guid.GUID`
  `FOLDERID_SyncManagerFolder`
  `static final Guid.GUID`
  `FOLDERID_SyncResultsFolder`
  `static final Guid.GUID`
  `FOLDERID_SyncSetupFolder`
  `static final Guid.GUID`
  `FOLDERID_System`
  `static final Guid.GUID`
  `FOLDERID_SystemX86`
  `static final Guid.GUID`
  `FOLDERID_Templates`
  `static final Guid.GUID`
  `FOLDERID_UserPinned`
  `static final Guid.GUID`
  `FOLDERID_UserProfiles`
  `static final Guid.GUID`
  `FOLDERID_UserProgramFiles`
  `static final Guid.GUID`
  `FOLDERID_UserProgramFilesCommon`
  `static final Guid.GUID`
  `FOLDERID_UsersFiles`
  `static final Guid.GUID`
  `FOLDERID_UsersLibraries`
  `static final Guid.GUID`
  `FOLDERID_Videos`
  `static final Guid.GUID`
  `FOLDERID_VideosLibrary`
  `static final Guid.GUID`
  `FOLDERID_Windows`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KnownFolders()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FOLDERID_NetworkFolder

    public static final Guid.GUID FOLDERID_NetworkFolder
    - display name: "Network"
    - legacy display name: "My Network Places"
    - default path:
    - legacy CSIDL value: CSIDL_NETWORK

  - ### FOLDERID_ComputerFolder

    public static final Guid.GUID FOLDERID_ComputerFolder

  - ### FOLDERID_InternetFolder

    public static final Guid.GUID FOLDERID_InternetFolder

  - ### FOLDERID_ControlPanelFolder

    public static final Guid.GUID FOLDERID_ControlPanelFolder

  - ### FOLDERID_PrintersFolder

    public static final Guid.GUID FOLDERID_PrintersFolder

  - ### FOLDERID_SyncManagerFolder

    public static final Guid.GUID FOLDERID_SyncManagerFolder

  - ### FOLDERID_SyncSetupFolder

    public static final Guid.GUID FOLDERID_SyncSetupFolder

  - ### FOLDERID_ConflictFolder

    public static final Guid.GUID FOLDERID_ConflictFolder

  - ### FOLDERID_SyncResultsFolder

    public static final Guid.GUID FOLDERID_SyncResultsFolder

  - ### FOLDERID_RecycleBinFolder

    public static final Guid.GUID FOLDERID_RecycleBinFolder

  - ### FOLDERID_ConnectionsFolder

    public static final Guid.GUID FOLDERID_ConnectionsFolder

  - ### FOLDERID_Fonts

    public static final Guid.GUID FOLDERID_Fonts

  - ### FOLDERID_Desktop

    public static final Guid.GUID FOLDERID_Desktop
    - display name: "Desktop"
    - default path: "C:\Users\<UserName>\Desktop"
    - legacy default path: "C:\Documents and Settings\<userName>\Desktop"
    - legacy CSIDL value: CSIDL_DESKTOP

  - ### FOLDERID_Startup

    public static final Guid.GUID FOLDERID_Startup

  - ### FOLDERID_Programs

    public static final Guid.GUID FOLDERID_Programs

  - ### FOLDERID_StartMenu

    public static final Guid.GUID FOLDERID_StartMenu

  - ### FOLDERID_Recent

    public static final Guid.GUID FOLDERID_Recent

  - ### FOLDERID_SendTo

    public static final Guid.GUID FOLDERID_SendTo

  - ### FOLDERID_Documents

    public static final Guid.GUID FOLDERID_Documents

  - ### FOLDERID_Favorites

    public static final Guid.GUID FOLDERID_Favorites

  - ### FOLDERID_NetHood

    public static final Guid.GUID FOLDERID_NetHood

  - ### FOLDERID_PrintHood

    public static final Guid.GUID FOLDERID_PrintHood

  - ### FOLDERID_Templates

    public static final Guid.GUID FOLDERID_Templates

  - ### FOLDERID_CommonStartup

    public static final Guid.GUID FOLDERID_CommonStartup

  - ### FOLDERID_CommonPrograms

    public static final Guid.GUID FOLDERID_CommonPrograms

  - ### FOLDERID_CommonStartMenu

    public static final Guid.GUID FOLDERID_CommonStartMenu

  - ### FOLDERID_PublicDesktop

    public static final Guid.GUID FOLDERID_PublicDesktop

  - ### FOLDERID_ProgramData

    public static final Guid.GUID FOLDERID_ProgramData

  - ### FOLDERID_CommonTemplates

    public static final Guid.GUID FOLDERID_CommonTemplates

  - ### FOLDERID_PublicDocuments

    public static final Guid.GUID FOLDERID_PublicDocuments

  - ### FOLDERID_RoamingAppData

    public static final Guid.GUID FOLDERID_RoamingAppData

  - ### FOLDERID_LocalAppData

    public static final Guid.GUID FOLDERID_LocalAppData

  - ### FOLDERID_LocalAppDataLow

    public static final Guid.GUID FOLDERID_LocalAppDataLow

  - ### FOLDERID_InternetCache

    public static final Guid.GUID FOLDERID_InternetCache

  - ### FOLDERID_Cookies

    public static final Guid.GUID FOLDERID_Cookies

  - ### FOLDERID_History

    public static final Guid.GUID FOLDERID_History

  - ### FOLDERID_System

    public static final Guid.GUID FOLDERID_System

  - ### FOLDERID_SystemX86

    public static final Guid.GUID FOLDERID_SystemX86

  - ### FOLDERID_Windows

    public static final Guid.GUID FOLDERID_Windows

  - ### FOLDERID_Profile

    public static final Guid.GUID FOLDERID_Profile

  - ### FOLDERID_Pictures

    public static final Guid.GUID FOLDERID_Pictures

  - ### FOLDERID_ProgramFilesX86

    public static final Guid.GUID FOLDERID_ProgramFilesX86

  - ### FOLDERID_ProgramFilesCommonX86

    public static final Guid.GUID FOLDERID_ProgramFilesCommonX86

  - ### FOLDERID_ProgramFilesX64

    public static final Guid.GUID FOLDERID_ProgramFilesX64

  - ### FOLDERID_ProgramFilesCommonX64

    public static final Guid.GUID FOLDERID_ProgramFilesCommonX64

  - ### FOLDERID_ProgramFiles

    public static final Guid.GUID FOLDERID_ProgramFiles

  - ### FOLDERID_ProgramFilesCommon

    public static final Guid.GUID FOLDERID_ProgramFilesCommon

  - ### FOLDERID_UserProgramFiles

    public static final Guid.GUID FOLDERID_UserProgramFiles

  - ### FOLDERID_UserProgramFilesCommon

    public static final Guid.GUID FOLDERID_UserProgramFilesCommon

  - ### FOLDERID_AdminTools

    public static final Guid.GUID FOLDERID_AdminTools

  - ### FOLDERID_CommonAdminTools

    public static final Guid.GUID FOLDERID_CommonAdminTools

  - ### FOLDERID_Music

    public static final Guid.GUID FOLDERID_Music

  - ### FOLDERID_Videos

    public static final Guid.GUID FOLDERID_Videos

  - ### FOLDERID_Ringtones

    public static final Guid.GUID FOLDERID_Ringtones

  - ### FOLDERID_PublicPictures

    public static final Guid.GUID FOLDERID_PublicPictures

  - ### FOLDERID_PublicMusic

    public static final Guid.GUID FOLDERID_PublicMusic

  - ### FOLDERID_PublicVideos

    public static final Guid.GUID FOLDERID_PublicVideos

  - ### FOLDERID_PublicRingtones

    public static final Guid.GUID FOLDERID_PublicRingtones

  - ### FOLDERID_ResourceDir

    public static final Guid.GUID FOLDERID_ResourceDir

  - ### FOLDERID_LocalizedResourcesDir

    public static final Guid.GUID FOLDERID_LocalizedResourcesDir

  - ### FOLDERID_CommonOEMLinks

    public static final Guid.GUID FOLDERID_CommonOEMLinks

  - ### FOLDERID_CDBurning

    public static final Guid.GUID FOLDERID_CDBurning

  - ### FOLDERID_UserProfiles

    public static final Guid.GUID FOLDERID_UserProfiles

  - ### FOLDERID_Playlists

    public static final Guid.GUID FOLDERID_Playlists

  - ### FOLDERID_SamplePlaylists

    public static final Guid.GUID FOLDERID_SamplePlaylists

  - ### FOLDERID_SampleMusic

    public static final Guid.GUID FOLDERID_SampleMusic

  - ### FOLDERID_SamplePictures

    public static final Guid.GUID FOLDERID_SamplePictures

  - ### FOLDERID_SampleVideos

    public static final Guid.GUID FOLDERID_SampleVideos

  - ### FOLDERID_PhotoAlbums

    public static final Guid.GUID FOLDERID_PhotoAlbums

  - ### FOLDERID_Public

    public static final Guid.GUID FOLDERID_Public

  - ### FOLDERID_ChangeRemovePrograms

    public static final Guid.GUID FOLDERID_ChangeRemovePrograms

  - ### FOLDERID_AppUpdates

    public static final Guid.GUID FOLDERID_AppUpdates

  - ### FOLDERID_AddNewPrograms

    public static final Guid.GUID FOLDERID_AddNewPrograms

  - ### FOLDERID_Downloads

    public static final Guid.GUID FOLDERID_Downloads

  - ### FOLDERID_PublicDownloads

    public static final Guid.GUID FOLDERID_PublicDownloads

  - ### FOLDERID_SavedSearches

    public static final Guid.GUID FOLDERID_SavedSearches

  - ### FOLDERID_QuickLaunch

    public static final Guid.GUID FOLDERID_QuickLaunch

  - ### FOLDERID_Contacts

    public static final Guid.GUID FOLDERID_Contacts

  - ### FOLDERID_SidebarParts

    public static final Guid.GUID FOLDERID_SidebarParts

  - ### FOLDERID_SidebarDefaultParts

    public static final Guid.GUID FOLDERID_SidebarDefaultParts

  - ### FOLDERID_PublicGameTasks

    public static final Guid.GUID FOLDERID_PublicGameTasks

  - ### FOLDERID_GameTasks

    public static final Guid.GUID FOLDERID_GameTasks

  - ### FOLDERID_SavedGames

    public static final Guid.GUID FOLDERID_SavedGames

  - ### FOLDERID_Games

    public static final Guid.GUID FOLDERID_Games

  - ### FOLDERID_SEARCH_MAPI

    public static final Guid.GUID FOLDERID_SEARCH_MAPI

  - ### FOLDERID_SEARCH_CSC

    public static final Guid.GUID FOLDERID_SEARCH_CSC

  - ### FOLDERID_Links

    public static final Guid.GUID FOLDERID_Links

  - ### FOLDERID_UsersFiles

    public static final Guid.GUID FOLDERID_UsersFiles

  - ### FOLDERID_UsersLibraries

    public static final Guid.GUID FOLDERID_UsersLibraries

  - ### FOLDERID_SearchHome

    public static final Guid.GUID FOLDERID_SearchHome

  - ### FOLDERID_OriginalImages

    public static final Guid.GUID FOLDERID_OriginalImages

  - ### FOLDERID_DocumentsLibrary

    public static final Guid.GUID FOLDERID_DocumentsLibrary

  - ### FOLDERID_MusicLibrary

    public static final Guid.GUID FOLDERID_MusicLibrary

  - ### FOLDERID_PicturesLibrary

    public static final Guid.GUID FOLDERID_PicturesLibrary

  - ### FOLDERID_VideosLibrary

    public static final Guid.GUID FOLDERID_VideosLibrary

  - ### FOLDERID_RecordedTVLibrary

    public static final Guid.GUID FOLDERID_RecordedTVLibrary

  - ### FOLDERID_HomeGroup

    public static final Guid.GUID FOLDERID_HomeGroup

  - ### FOLDERID_DeviceMetadataStore

    public static final Guid.GUID FOLDERID_DeviceMetadataStore

  - ### FOLDERID_Libraries

    public static final Guid.GUID FOLDERID_Libraries

  - ### FOLDERID_PublicLibraries

    public static final Guid.GUID FOLDERID_PublicLibraries

  - ### FOLDERID_UserPinned

    public static final Guid.GUID FOLDERID_UserPinned

  - ### FOLDERID_ImplicitAppShortcuts

    public static final Guid.GUID FOLDERID_ImplicitAppShortcuts

- ## Constructor Details

  - ### KnownFolders

    public KnownFolders()